# mptr_jpeg.cpp File Reference

ppm Target Module More...

`#include "mptr_jpeg.h"`
`#include <synfig/importer.h>`
`#include <synfig/time.h>`
`#include <synfig/general.h>`
`#include <cstdio>`
`#include <algorithm>`
`#include <functional>`

## Defines

#define | JPEG_CHECK_BYTES 8

## Typedefs

typedef struct my_error_mgr * | my_error_ptr

## Functions

| SYNFIG_IMPORTER_INIT (jpeg_mptr)
| SYNFIG_IMPORTER_SET_NAME (jpeg_mptr,"jpeg")
| SYNFIG_IMPORTER_SET_EXT (jpeg_mptr,"jpg")
| SYNFIG_IMPORTER_SET_VERSION (jpeg_mptr,"0.1")
| SYNFIG_IMPORTER_SET_CVS_ID (jpeg_mptr,"$Id$")

## Detailed Description

ppm Target Module

$Id$

=== N O T E S ===========================================================

=========================================================================

## Define Documentation

#define JPEG_CHECK_BYTES 8

## Typedef Documentation

typedef struct my_error_mgr* my_error_ptr

## Function Documentation

SYNFIG_IMPORTER_INIT | ( | jpeg_mptr |  | ) |

SYNFIG_IMPORTER_SET_NAME | ( | jpeg_mptr | ,
|  | "jpeg" |  |
| ) |  |  |

SYNFIG_IMPORTER_SET_EXT | ( | jpeg_mptr | ,
|  | "jpg" |  |
| ) |  |  |

SYNFIG_IMPORTER_SET_VERSION | ( | jpeg_mptr | ,
|  | "0.1" |  |
| ) |  |  |

SYNFIG_IMPORTER_SET_CVS_ID | ( | jpeg_mptr | ,
|  | "$Id$" |  |
| ) |  |  |